Bug 498645 - [KMS] ATI RV280 Radeon 9200 PRO resolution limited to 1024x768 unless nomodeset
[KMS] ATI RV280 Radeon 9200 PRO resolution limited to 1024x768 unless nomodeset
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-ati (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Dave Airlie
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-01 12:07 EDT by Tim Wegener
Modified: 2009-11-16 10:26 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-11-16 10:26:14 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Xorg.0.log with no xorg.conf present (resolution limited) (50.80 KB, text/plain)
2009-05-01 12:07 EDT, Tim Wegener
no flags Details
Xorg.0.log when nomodeset kernel option is used (higher resolutions work) (75.52 KB, text/plain)
2009-05-01 12:08 EDT, Tim Wegener
no flags Details
dmesg output with kms (resolution limited) (28.02 KB, text/plain)
2009-05-01 12:09 EDT, Tim Wegener
no flags Details
dmesg output with nomodeset (higher resolutions work) (30.24 KB, text/plain)
2009-05-01 12:10 EDT, Tim Wegener
no flags Details
dmesg output with kms using "3 drm.debug=1" boot options (36.61 KB, text/plain)
2009-05-01 12:26 EDT, Tim Wegener
no flags Details
Xorg.0.log (128.32 KB, text/plain)
2009-09-21 17:14 EDT, Electron
no flags Details

  None (edit)
Description Tim Wegener 2009-05-01 12:07:02 EDT
Created attachment 342111 [details]
Xorg.0.log with no xorg.conf present (resolution limited)

Description of problem:
I am unable to select a display resolution greater than 1024x768 even though my video card (ATI Radeon 9200 PRO RV280) and monitor (ViewSonic E771) support 1280x1024, etc. 

Version-Release number of selected component (if applicable):
kernel-2.6.29.1-111.fc11.i586
xorg-x11-drv-ati-6.12.2-7.fc11.i586

How reproducible:
Always

Steps to Reproduce:
1. Boot/start X
2. It is evident via xrandr, etc. that resolution is 1024x768 and display preferences do not allow selecting a higher resolution.
3.
  
Actual results:
Limited to 1024x768 resolution

Expected results:
Able to choose higher resolutions such as 1280x1024

Additional info:
Booting with the 'nomodeset' option allows higher resolutions to be selected.
Xorg.0.log is attached
Comment 1 Tim Wegener 2009-05-01 12:08:28 EDT
Created attachment 342112 [details]
Xorg.0.log when nomodeset kernel option is used (higher resolutions work)
Comment 2 Tim Wegener 2009-05-01 12:09:48 EDT
Created attachment 342113 [details]
dmesg output with kms (resolution limited)
Comment 3 Tim Wegener 2009-05-01 12:10:44 EDT
Created attachment 342114 [details]
dmesg output with nomodeset (higher resolutions work)
Comment 4 Tim Wegener 2009-05-01 12:26:10 EDT
Created attachment 342117 [details]
dmesg output with kms using "3 drm.debug=1" boot options
Comment 5 Bug Zapper 2009-06-09 10:57:43 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Electron 2009-09-21 17:14:55 EDT
Created attachment 362007 [details]
Xorg.0.log
Comment 7 Electron 2009-09-21 17:25:21 EDT
Same problem...
Radeon 9200SE

Actual results:
Limited to 1024x768 resolution without nomodeset

Expected results:
Able to choose 1152x768 75Hz (and higher) with NEC 770FE (CRT 17")

Additional info:
Booting with the 'nomodeset' option allows higher resolutions to be selected.

Xorg.0.log attached above.
Comment 8 Matěj Cepl 2009-11-05 13:28:11 EST
Since this bugzilla report was filed, there have been several major updates in various components of the Xorg system, which may have resolved this issue. Users who have experienced this problem are encouraged to upgrade their system to the latest version of their packages. For packages from updates-testing repository you can use command

yum upgrade --enablerepo='*-updates-testing'

Alternatively, you can also try to test whether this bug is reproducible with the upcoming Fedora 12 distribution by downloading LiveMedia of F12 Beta available at http://alt.fedoraproject.org/pub/alt/nightly-composes/ . By using that you get all the latest packages without need to install anything on your computer. For more information on using LiveMedia take a look at https://fedoraproject.org/wiki/FedoraLiveCD .

Please, if you experience this problem on the up-to-date system, let us now in the comment for this bug, or whether the upgraded system works for you.

If you won't be able to reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

[This is a bulk message for all open Fedora Rawhide Xorg-related bugs. I'm adding myself to the CC list for each bug, so I'll see any comments you make after this and do my best to make sure every issue gets proper attention.]
Comment 9 Tim Wegener 2009-11-07 00:42:12 EST
Problem still persists with updated xorg packages from updates-testing.

kernel-2.6.30.8-64.fc11.i586
xorg-x11-drv-ati-6.12.2-14.fc11.i586
xorg-x11-server-Xorg-1.6.4-0.2.fc11
xorg-x11-server-common-1.6.4-0.2.fc11
Comment 10 Electron 2009-11-12 17:01:46 EST
Same problem with F12-Alpha-i686-Live.
I'll try F12-Beta-i686-Live tomorrow.
I installed anyway F12 final ;-)
I will keep you informed.
Comment 11 Electron 2009-11-13 13:51:49 EST
Finally, I tried F12 nightly-composes/desktop/desktop-i386-20091111.16.iso

kernel-2.6.31.5-127.fc12.i686.rpm
xorg-x11-drv-ati-6.13.0-0.10.20091006git457646d73.fc12.i686.rpm
xorg-x11-server-common-1.7.1-7.fc12.i686
xorg-x11-server-Xorg-1.7.1-7.fc12.i686

So, (1152x864 75Hz) (1280x960 60Hz) (1280x1024 60Hz) comeback.
Perfect for me !

Nevertheless, I noticed this bug #529146
But it is not the subject here.
Comment 12 Matěj Cepl 2009-11-16 10:26:14 EST
Thank you for letting us know.

Note You need to log in before you can comment on or make changes to this bug.